Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JarURLStreamHandler

    java.lang.Object
      java.net.URLStreamHandler
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JarURLStreamHandler

    public class JarURLStreamHandler

extends java.net.URLStreamHandler

Version:
  $Id: JarURLStreamHandler.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JarURLStreamHandler()`

Method Summary
`java.net.URL` | `createURL(JarFileEntry jarEntry)`
`protected boolean` | `equals(java.net.URL u1, java.net.URL u2)`
`protected JarFileEntry` | `getURLEntry(java.net.URL u)`
`protected int` | `hashCode(java.net.URL u)`
`protected java.net.URLConnection` | `openConnection(java.net.URL u)`
`protected void` | `parseURL(java.net.URL u, java.lang.String spec, int start, int limit)`
`void` | `putURL(java.net.URL u, JarFileEntry jarEntry)`
`protected java.lang.String` | `toExternalForm(java.net.URL u)`

Methods inherited from class java.net.URLStreamHandler
`getDefaultPort, getHostAddress, hostsEqual, openConnection, sameFile, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarURLStreamHandler

    public JarURLStreamHandler()

Method Detail

### parseURL

    protected void parseURL(java.net.URL u,
                            java.lang.String spec,
                            int start,
                            int limit)

  Overrides:
    `parseURL` in class `java.net.URLStreamHandler`

### openConnection

    protected java.net.URLConnection openConnection(java.net.URL u)
                                             throws java.io.IOException

  Specified by:
    `openConnection` in class `java.net.URLStreamHandler`
  Throws:
    `java.io.IOException`

### createURL

    public java.net.URL createURL(JarFileEntry jarEntry)

### putURL

    public void putURL(java.net.URL u,
                       JarFileEntry jarEntry)

### getURLEntry

    protected JarFileEntry getURLEntry(java.net.URL u)

### equals

    protected boolean equals(java.net.URL u1,
                             java.net.URL u2)

  Overrides:
    `equals` in class `java.net.URLStreamHandler`

### hashCode

    protected int hashCode(java.net.URL u)

  Overrides:
    `hashCode` in class `java.net.URLStreamHandler`

### toExternalForm

    protected java.lang.String toExternalForm(java.net.URL u)

  Overrides:
    `toExternalForm` in class `java.net.URLStreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.